from pydantic import BaseModel, ConfigDict, Field


class CountryDTO(BaseModel):
    m3_key: str = Field(..., min_length=1, max_length=3)
    mex_key: str = Field(..., min_length=1, max_length=2)
    ame_key: str = Field(..., min_length=1, max_length=2)
    description_es: str
    description_en: str

    model_config = ConfigDict(from_attributes=True)
